#!/bin/sh
# This bash script is licensed under the GPL ( General Pulic License ) 2.0
# and upper. written by hip0.
# Script Description:
# checks all the files in directory $backups_docroot against a specified strings
# and sorts them to directories previously defined by server[$n].
# For details observe the source.

# all dumps location.
backups_docroot=/backups/all;

# server mysqldumps backup locations

server[0]=/backups/server0-194_153_145_232/mysqlbackups;
server[1]=/backups/server1-207_36_180_30/mysqlbackups;
server[2]=/backups/server2-207_36_180_31/mysqlbackups;
server[3]=/backups/server3-207_36_180_32/mysqlbackups;
server[4]=/backups/server4-207_234_147_191/mysqlbackups;
server[5]=/backups/server5-207_234_208_208/mysqlbackups;
server[6]=/backups/server6-213_91_245_1/mysqlbackups;
# server names.

server_name[0]=design-bg_net;
server_name[1]=imot_biz;
server_name[2]=design_bg;
server_name[3]=bgtravel;
server_name[4]=fresh-ringtones;
server_name[5]=fresh-up;
server_name[6]=efflab;
# counts serever_name massive range.
server_name_arr_cnt="${#server_name[*]}";

# checks for some critical dir existence.
chk_dir_existence () {

if [ ! -d "$backups_docroot" ]; then
  echo -e "$backups_docroot Does not Exist Exiting ...";
  exit 1;
fi

for f in `seq 0 $server_name_arr_cnt`; do

 if [ ! -d ${server[$f]} ]; then
  echo "${server[$f]} Does not Exist Exiting ...";
  exit 1;
 fi

done
}

# loops threw $backups_docroot and moves archives where they shall allocate.
main_loop () {

for i in `ls -1 $backups_docroot`; do

if [ -n "`echo $i | grep -i ${server_name[0]}`" ]; then
  cp -rpf $backups_docroot/$i ${server[0]};
  rm -f $backups_docroot/$i;
fi

if [ -n "`echo $i | grep -i ${server_name[1]}`" ]; then
  cp -rpf $backups_docroot/$i ${server[1]};
  rm -f $backups_docroot/$i;
fi

if [ -n "`echo $i | grep -i ${server_name[2]}`" ]; then
  cp -rpf $backups_docroot/$i ${server[2]};
  rm -f $backups_docroot/$i;
fi

if [ -n "`echo $i | grep -i ${server_name[3]}`" ]; then
  cp -rpf $backups_docroot/$i ${server[3]};
  rm -f $backups_docroot/$i;
fi

if [ -n "`echo $i | grep -i ${server_name[4]}`" ]; then
  cp -rpf $backups_docroot/$i ${server[4]};
  rm -f $backups_docroot/$i;
fi

if [ -n "`echo $i | grep -i ${server_name[5]}`" ]; then
  cp -rpf $backups_docroot/$i ${server[5]};
  rm -f $backups_docroot/$i;
fi

if [ -n "`echo $i | grep -i ${server_name[6]}`" ]; then
  cp -rpf $backups_docroot/$i ${server[6]};
  rm -f $backups_docroot/$i;
fi

# for more server uncomment and change $n with the number of the server.
# if [ -n "`echo $i | grep -i ${server_name[$n]}`" ]; then
#   cp -rpf $backups_docroot/$i ${server[$n]};
# fi

done

}

main () {

chk_dir_existence;
main_loop;

}

main;
