#! /bin/bash
# update access statistics for selected web site and creates access_log backups.
date_num=`date | awk '{ print $3 }'`;
month=`date | awk '{ print $2 }'`;
apache_log_base=/usr/local/apache2/logs;
webalizer_bin=/usr/bin/webalizer;
acc_log=access_log;
copy=/bin/cp;
gzip=/bin/gzip

if [ -s $apache_log_base/$acc_log ] ; then
    $webalizer_bin && (cd $apache_log_base; $copy -f $acc_log $acc_log.$date_num;\
cat /dev/null > $acc_log; $gzip < $acc_log.$date_num > $acc_log.$date_num.gz )

if [ ! -d $apache_log_base/$month ]; then
mkdir $apache_log_base/$month;
fi

mv $apache_log_base/$acc_log.$date_num.gz $apache_log_base/$month;

fi

exit 0
